トップ 差分 一覧 ソース 置換 検索 ヘルプ PDF RSS ログイン

VMWare ESXi 5.1 で分割VMDKが使えない

ESXi 5.1 は標準で、multiextent をロードしなくなった。
そのため、2gbsparse などの分割VMDKが使えなくなった。

http://blog.acsystem.sk/linux/migrating-esx-thick-disk-to-thin-disk-esx-5-1-is-always-special
http://blog.osakana.net/archives/3840
http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=2036572

 一時的に使う方法

vmkload_mod multiextent

で multiextent を読み込む。

vmkfstools -d 2gbsparse -i test.vmdk test/test.vmdk

みたいな感じで利用して、使い終わったら

vmkload_mod  -u multiextent

でアンロードする。

 注意 2gbsparse でスナップショットの結合ができなくなった???

ESXi 5.1で利用したところ以下の条件で失敗したので記載しておく
・スナップショットのvmdk に対して、 2gbsparse でバックアップを作成

vmkfstools -d 2gbsparse -i test-000001.vmdk backup/test-000001.vmdk

・上記バックアップを thin フォーマットに変換(リストアを想定)

vmkfstools -d thin -i backup/test-000001.vmdk test-000001.vmdk 

スナップショットの元となるファイルが無いっとエラーが出た。
スナップショットの結合ができないのかもしれない。
スナップショットに対して、thin オプションを使ったところ、正常にスナップショットの統合ができた。

[カテゴリ: 仮想化]



  • Hatenaブックマークに追加
  • livedoorクリップに追加
  • del.icio.usに追加
  • FC2ブックマークに追加

最終更新時間:2013年06月15日 21時57分35秒